import { Adapter, LoggingTypes, FormatConfig } from "./types";
export declare function removeColors(text: string): string;
export interface LoggingBaseOptions {
    /**
     * Name will be prefixed on Console output and added to logfiles, if not specified here
     */
    name: string;
    /**
     * Prints output to console
     */
    console: boolean;
}
export declare class LoggingBase {
    private _formatMap;
    formatMap: FormatConfig;
    private adapter;
    private adapter_init;
    private messageObservable;
    protected _name: string;
    private _logLevel;
    logLevel: LoggingTypes;
    readonly name: string;
    constructor(options?: Partial<LoggingBaseOptions> | string);
    addAdapter(adapter: Adapter): void;
    flush(sync: true): void;
    flush(sync: false): Promise<void>;
    close(): void;
    waitForSetup(): Promise<void[]>;
    debug(...message: any[]): void;
    log(...message: any[]): void;
    warning(...message: any[]): void;
    warn(...message: any[]): void;
    error(error: Error | string): void;
    errorMessage(...message: any[]): void;
    private message;
}
